<?php


namespace app\admin\controller;


use think\App;
class Menu extends Base{
	public function __construct(App $app) {
		parent::__construct($app);
		$this->model=new \app\admin\model\Menu();
	}
	
	public function list(){
	    $param = $this->request->param(["relaComNo"=>"","level"=>""],"post","trim");
	    $condition = [
	        ['status','=',1],
	        ['is_display','=',1]
        ];
        $action = \app\admin\model\UserRole::getAllAction($this->uid,$param['relaComNo'],$this->level);
        if(isset($param['level']) && $param['level'] !== '') $condition[] = ['level','in',[0,$param['level']]];
        else {
            if($this->level == 1) $condition[] = ['level','in',[0,1,2]];
            else $condition[] = ['level','in',[0,$this->level]];
        }
        $list=$this->model->getMenu($action,$condition);

	}
}